package com.ruoyi.system.service;

import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.system.domain.SubSource;
import com.ruoyi.system.domain.Tender;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

/**
 * 参数配置 服务层
 *
 * @author ruoyi
 */
public interface ISubSourceService extends IService<SubSource>
{
    public List<Tender> listS();

    SubSource findOne(LambdaQueryWrapper<SubSource> eq);

    @Transactional(rollbackFor = Exception.class)
    void Save(SubSource vo);

    Integer selectCount(Wrapper<SubSource> queryWrapper);
}
